abstractIn Class Reference

`#include <abstractin.h>`

Inheritance diagram for abstractIn:

## Public Member Functions

| abstractIn (Input *_in)
Public Member Functions inherited from abstractCh
| abstractCh ()
virtual | ~abstractCh ()
virtual int | Poll (short cause)=0
virtual int | Setup ()=0
virtual int | Anounce ()
virtual int | Stop ()
virtual int | Status ()

## Protected Member Functions

int | publish (long value, const char *subtopic=NULL)
int | publish (float value, const char *subtopic=NULL)
int | publish (char *value, const char *subtopic=NULL)
Protected Member Functions inherited from abstractCh
virtual int | publishTopic (const char *topic, long value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, float value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, const char *value, const char *subtopic=NULL)

## Protected Attributes

Input * | in
friend | Input

## Constructor & Destructor Documentation

## abstractIn()

abstractIn::abstractIn | ( | Input * | _in | ) |

inline

## Member Function Documentation

## publish() [1/3]

int abstractIn::publish | ( | char * | value,
|  | const char * | subtopic = `NULL`
| ) |  |

protected

## publish() [2/3]

int abstractIn::publish | ( | float | value,
|  | const char * | subtopic = `NULL`
| ) |  |

protected

## publish() [3/3]

int abstractIn::publish | ( | long | value,
|  | const char * | subtopic = `NULL`
| ) |  |

protected

## Member Data Documentation

## in

Input* abstractIn::in

protected

## Input

friend abstractIn::Input

protected

The documentation for this class was generated from the following files:

- abstractin.h
- abstractin.cpp